[Solved]X86_64 snapshot unable to install luci (opkg signature verification

I've just installed openwrt on a x86 machine and I'm having trouble installing luci.
opkg complains about the luci repo signature

root@OpenWrt:/tmp/opkg-lists# opkg update
Downloading https://downloads.openwrt.org/snapshots/targets/x86/64/packages/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_core
Downloading https://downloads.openwrt.org/snapshots/targets/x86/64/packages/Packages.sig
Signature check passed.
Downloading https://downloads.openwrt.org/snapshots/packages/x86_64/base/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_base
Downloading https://downloads.openwrt.org/snapshots/packages/x86_64/base/Packages.sig
Signature check passed.
Downloading https://downloads.openwrt.org/snapshots/targets/x86/64/kmods/6.6.35-1-847e6c02db610698a17645b82d64b63e/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_kmods
Downloading https://downloads.openwrt.org/snapshots/targets/x86/64/kmods/6.6.35-1-847e6c02db610698a17645b82d64b63e/Packages.sig
Signature check passed.
Downloading https://downloads.openwrt.org/snapshots/packages/x86_64/luci/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_luci
Downloading https://downloads.openwrt.org/snapshots/packages/x86_64/luci/Packages.sig
Signature check failed.
Remove wrong Signature file.
Downloading https://downloads.openwrt.org/snapshots/packages/x86_64/packages/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_packages
Downloading https://downloads.openwrt.org/snapshots/packages/x86_64/packages/Packages.sig
Signature check passed.
Downloading https://downloads.openwrt.org/snapshots/packages/x86_64/routing/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_routing
Downloading https://downloads.openwrt.org/snapshots/packages/x86_64/routing/Packages.sig
Signature check failed.
Remove wrong Signature file.
Downloading https://downloads.openwrt.org/snapshots/packages/x86_64/telephony/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_telephony
Downloading https://downloads.openwrt.org/snapshots/packages/x86_64/telephony/Packages.sig
Signature check passed.

same problem when running https://openwrt.org/docs/guide-user/additional-software/opkg#verbose_opkg_update

root@OpenWrt:/tmp/opkg-lists# usign -V -P /etc/opkg/keys -m /tmp/opkg-lists/openwrt_luci
verification failed
root@OpenWrt:/tmp/opkg-lists# md5sum openwrt_luc*
13b72509ee643768513d0c7e838f7d60  openwrt_luci
56e71c7b0f1d41cf32991a21ff868fc8  openwrt_luci.gz
af90c66517d44f46f9c4871f019c2695  openwrt_luci.sig

Have you (recently) run opkg update ?

the output is from about 5min before sending the message, Still the same problem when running update now

Is your clock correct?

date
1 Like

Looks like build breakage on the luci packages feed. Wait a few hours and try again.

You can watch https://downloads.openwrt.org/snapshots/packages/x86_64/luci/ and see when the files update, currently 2024-05-25 15:40:53Z timestamp on the Packages.sig...

1 Like

I think you're on to something, I think the problem was time, or incorrect time zone. now that UTC is ahead of of the 2024-05-25 15:40:53 it just worked. Or maybe just a coincidence, or NTP was not synced back when I was trying.

Thanks everyone.

Awesome!

If your problem is solved, please consider marking this topic as [Solved]. See How to mark a topic as [Solved] for a short how-to.
Thanks! :slight_smile: